#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
kougekiryoku=5
bougyoryoku=10
hayasa=5
tanabebo=3
suraimubo=5
tanabe4bo=4

puts"別れ道"
puts"1:左"
puts"2:右"

while true
  print "答え入力:"
  kotae=gets.chomp.to_i
  if kotae ==1
  puts"死ぬ"
  redo
  elsif kotae == 2
    puts"生きる"
    break
  else
    puts"その選択肢はないよ!"
    redo
  end
end

puts"武器を選べ"
puts"1:斧"
puts"2:剣"

while true
  print"答え入力:"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"攻撃力8速さ3の斧を手に入れた"
    kougekiryoku+=8
    hayasa+=3
    break
  elsif kotae==2
    puts"攻撃力6速さ7の剣を手に入れた"
    kougekiryoku+=6
    hayasa+=7
    break
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"防具を選べ"
puts"1:硬い防具"
puts"2:トゲトゲの防具"

while true
  print"答え入力"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"防御力5の防具を手に入れた"
    bougyoryoku+=5
    break
  elsif kotae==2
    puts"防御力3"
    bougyoryoku+=3
    break
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"どこに行く"
puts"1:城"
puts"2:草原"

while true
  print"答え入力"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"城に田辺が現れた"
    puts"攻撃する"
    puts"勝利した"
    tanabebo-=3
    break
  elsif kotae==2
    puts"スライムが現れた"
    puts"攻撃する"
    puts"君は、スライムに勝利した"
    suraimubo-=5
    break
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"敵が現れた。どっちと、戦う"
puts"1:田辺2が現れた"
puts"2:田辺4が現れた"
